org.apache.tiles.request

## Class AbstractClientRequest

- java.lang.Object
- - org.apache.tiles.request.AbstractRequest
  - - org.apache.tiles.request.AbstractClientRequest

- All Implemented Interfaces:
    DispatchRequest, Request
  Direct Known Subclasses:
    ServletRequest

      public abstract class AbstractClientRequest
      extends AbstractRequest

  Base class for "client" requests, i.e. requests that come unchanged by the container, such as ServletRequest and PortletRequest.

- - ### Field Summary

    - ### Fields inherited from class org.apache.tiles.request.AbstractRequest

      `FORCE_INCLUDE_ATTRIBUTE_NAME`

    - ### Fields inherited from interface org.apache.tiles.request.Request

      `APPLICATION_SCOPE, REQUEST_SCOPE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractClientRequest(ApplicationContext applicationContext)` Constructor.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `dispatch(String path)` Dispatches the request to a specified path.
    `protected abstract void` | `doForward(String path)` Forwards to a path.
    `protected abstract void` | `doInclude(String path)` Includes the result of a path.
    `ApplicationContext` | `getApplicationContext()` Returns the associated application context.
    `Map<String,Object>` | `getApplicationScope()` Returns the application scope.
    `void` | `include(String path)` Includes the response from the specified URL in the current response output.

    - ### Methods inherited from class org.apache.tiles.request.AbstractRequest

      `isForceInclude, setForceInclude`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.tiles.request.DispatchRequest

      `setContentType`

    - ### Methods inherited from interface org.apache.tiles.request.Request

      `getAvailableScopes, getContext, getHeader, getHeaderValues, getOutputStream, getParam, getParamValues, getPrintWriter, getRequestLocale, getResponseHeaders, getWriter, isResponseCommitted, isUserInRole`

- - ### Constructor Detail

    - #### AbstractClientRequest

          public AbstractClientRequest(ApplicationContext applicationContext)

      Constructor.
      Parameters:
        `applicationContext` - The application context.

  - ### Method Detail

    - #### dispatch

          public void dispatch(String path)
                        throws IOException

      Description copied from interface: `DispatchRequest`
      Dispatches the request to a specified path.
      Parameters:
        `path` - The path to dispatch to.
      Throws:
        `IOException` - If something goes wrong during dispatching.

    - #### include

          public void include(String path)
                       throws IOException

      Description copied from interface: `DispatchRequest`
      Includes the response from the specified URL in the current response output.
      Parameters:
        `path` - The path to include.
      Throws:
        `IOException` - If something goes wrong during inclusion.

    - #### getApplicationContext

          public ApplicationContext getApplicationContext()

      Description copied from interface: `Request`
      Returns the associated application context.
      Returns:
        The application context associated to this request.

    - #### getApplicationScope

          public Map<String,Object> getApplicationScope()

      Returns the application scope.
      Returns:
        The application scope.

    - #### doForward

          protected abstract void doForward(String path)
                                     throws IOException

      Forwards to a path.
      Parameters:
        `path` - The path to forward to.
      Throws:
        `IOException` - If something goes wrong when forwarding.

    - #### doInclude

          protected abstract void doInclude(String path)
                                     throws IOException

      Includes the result of a path.
      Parameters:
        `path` - The path to forward to.
      Throws:
        `IOException` - If something goes wrong when forwarding.

Copyright © 2000–2026 Apache Software Foundation. All rights reserved.